{% extends 'bootstrap/base.html' %}
{% block title %}Simple Notes - Admin Mode{% endblock %}

<html>
    {% block content %}
    <head>
        <style>
            footer {
                text-align: center;
                padding: 3px;
                background-color: #7759C2;
                color: white;
            }
            a:link {
                color: white;
                text-decoration: underline;
            }
            a:visited {
                color: white;
            }
            a:hover {
                color: white;
            }
            a:active {
                color: white;
            }
            center {
                text-align: center;
            }
            .notekey p {
                font: small-caps bold 1.5rem sans-serif;
                margin: 10px 0;
                padding: 5px;
                border: 1px solid #999;
            }
            .messages {
                border: 10px ridge #5943b6;
                background-color: #cbe2f9;
                padding: .5rem;
                display: flex;
                flex-direction: column;
            }
        </style>
    </head>

    <body>
        <center>
            <h1>Simple Notes - Admin Mode</h1>

            <p>
                Your are in admin mode, you can create secret notes here.
                Secret notes can only be created/viewed/deleted by admins.
            </p>

            <hr>

            <div class="messages">
                {% with messages = get_flashed_messages() %}
                    {% if messages %}
                        {% for message in messages %}
                            {{ message }}
                        {% endfor %}
                    {% endif %}
                {% endwith %}
            </div>

            <hr>

            <h3><b>Notes</b></h3>

            <div class="notekey">
                <p>
                    <b>key</b>
                    <br>
                    | id | note | *secret |
                </p>
            </div>

            <br>
            {% for note in notes %}
                <div><p><b>{{ note }}</b></p></div>
            {% endfor %}

            <hr>
            
            <h3>Add a secret note</h3>
            <form class="form-inline" action="" method="post" novalidate>
                {{ add_form.hidden_tag() }}
                <p>
                    {{ add_form.note_field.label }}
                    {{ add_form.note_field(size=32) }}
                    {{ add_form.add() }}
                </p>
            </form>

            <hr>

            <h3>Delete a note</h3>
            <form class="form-inline" action="" method="post" novalidate>
                {{ delete_form.hidden_tag() }}
                <p>
                    {{ delete_form.id_field.label }}
                    {{ delete_form.id_field(size=2) }}
                    {{ delete_form.delete() }}
                </p>
            </form>

            <hr>

            <h3>Reset Database Table</h3>
            <form class="form-inline" action="" method="post" novalidate>
                {{ reset_form.hidden_tag() }}
                <p>
                    {{ reset_form.reset() }}
                </p>
            </form>
        </center>
    </body>

    <footer>
        <p>Created by <a href="https://gitlab.com/fjdiaz">Fern</a> from GitLab's DevRel Team</p>
        <p><a href="https://www.linkedin.com/in/awkwardferny/">LinkedIn</a> | <a href="https://twitter.com/awkwardferny">Twitter</a></p>
        <p><a href="https://gitlab.com/gitlab-da/tutorials/security-and-governance/simply-vulnerable-notes">Source Code</a></p>
    </footer>
    
    {% endblock %}
</html>
